Subject: Re: [PATCH v2] powerpc: Add dma nodes to 83xx, 85xx and 86xx boards

From: Segher Boessenkool <[email-masked]>
Date: Mon, 30 Jun 2008 22:56:51 +0200

>>> What's the cell-index in these nodes used to index?  Given the
>>> confusion there's been about the proper use of this property, a
>>> comment indicating which shared registers this is used to index is
>>> probably a good idea.
>>
>> There's supposed to be a cell-index in the *channels* to index into 
>> the
>> shared summary register (the "reg" of the dma node itself).  I don't 
>> see any
>> purpose for a cell-index in the main dma node, though.
>
> I believe this comes into play when we have more than one DMA 
> controller and sometimes there are special uses like on 8610.

There is no need to guess what it is or isn't used for.  Just look
it up in the binding for this device.

Segher